/* 
Theme Name: Hello Gastro Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Gastro Child is a child theme of Hello Elementor, created by Attila Reterics
Author: Attila Reterics
Author URI: https://reterics.com/
Template: hello-elementor
Version: 0.0.2
Text Domain: hello-gastro
Domain Path: /languages
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*********************************
  GLOBAL SETTINGS
**********************************/
@font-face {
    font-family: 'museosans';
    src: url(./assets/fonts/museosans-500.otf);
    /*font-weight: bold;*/
}

@font-face {
    font-family: 'pacifico';
    src: url('./assets/fonts/nexa/Nexa Rust Script R W00 01.ttf');
    /*font-weight: bold;*/
}

body {
    font-family: museosans, Rubik, -apple-system, BlinkMacSystemFont, "Helvetica Neue", Helvetica, sans-serif;
}

/* Add your custom styles here */

#main.site-main.gastro-event {
    display: flex;
    max-width: none;
}

#gastro-feature-search {
    width: 335px;
    padding-left: 1rem;
    padding-right: 1rem;
}


article.post.gastro-card {
    width: 250px;
    padding: 0 15px 30px
}

.archive-content.gastro {
    display: flex;
    flex-wrap: wrap;
}

.gastro-card-wrap {
    border: solid #ccc 1px;
    -webkit-box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.05);
    box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.05);
}
/*
.archive-content.gastro .gastro-card-wrap {
    width: max-content;
}
*/
.gastro-image {
    position: relative;
    margin: 0;
}

.gastro-image a {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

.gastro-image a img {
    width: 100%;
    height: 100%;
    -webkit-transition: 0.2s -webkit-transform linear;
    transition: 0.2s -webkit-transform linear;
    max-width: 100%;
    object-fit: cover;
}


.gastro-card-wrap .overlay {
    background: rgba(170, 170, 170, 0.7);
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    opacity: 0;
    -webkit-transition: all 0.4s ease-in-out 0s;
    transition: all 0.4s ease-in-out 0s;
}

.gastro-card-wrap .overlay-content {
    position: absolute;
    text-align: center;
    padding-left: 1em;
    padding-right: 1em;
    width: 100%;
    top: 50%;
    left: 50%;
    opacity: 0;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-transition: all 0.3s ease-in-out 0s;
    transition: all 0.3s ease-in-out 0s;
}

.gastro-image:hover .overlay {
    opacity: 1;
}

.gastro-image:hover .overlay-content {
    top: 50%;
    left: 50%;
    opacity: 1;
}

.gastro-image span.label {
    position: absolute;
    left: 20px;
    bottom: 20px;
    color: white;
    padding: 5px 8px 4px;
    border-radius: 1px;
    font-size: 14px;
    z-index: 1;
}

.gastro-image .overlay-content {
    position: absolute;
    text-align: center;
    padding-left: 1em;
    padding-right: 1em;
    width: 100%;
    /*top: 50%;*/
    left: 50%;
    opacity: 0;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-transition: all 0.3s ease-in-out 0s;
    transition: all 0.3s ease-in-out 0s;
    top: 80%;
}

.gastro-image .overlay-content > a {
    display: inline-block;
    color: #fff;
    font-weight: 500;
    font-size: 1rem;
    border: 1px solid #fff;
    padding: 0.5rem 1rem;
    line-height: 1.5;
    -webkit-transition: 0.2s all linear;
    transition: 0.2s all linear;
    background-color: #999c;
}

.gastro-details {
    height: 10rem;
    padding: 0.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
    background-color: #e4e4e4;
    display: block;
    width: 100%;
}

article.post.gastro-card .caption > a {
    width: 100%;
    color: #555;
    text-align: center;
    font-size: 21px;
    display: block;
}

article.post.gastro-card.col-3 {
    width: 33%;
}




.archive-content.gastro article.post.gastro-card {
    width: 100%;
    margin: 0 auto;
    padding: 0 15px 30px;
}

@media (min-width: 768px)
{
    .archive-content.gastro article.post.gastro-card {
        width: 50%;
    }
}

@media (max-width: 1024px)
{
    .gastro-card-wrap {
        width: 100%;
    }
}

@media (min-width: 1140px)
{
    .archive-content.gastro article.post.gastro-card {
        width: 33%;
    }
}


@media only screen and (max-width: 782px) {
    article.post.gastro-card.col-3 {
        width: 100%;
    }
}

.gastro-details {
    color: #808080;
}

.gastro-details .title {
    color: #1a1a1a;
    font-weight: 500;
    transition: 0.2s all linear;
    font-size: 21px;
}


.searchform > div {
    margin-top: 5px;
    margin-bottom: 5px;
}
.searchform > div > label {
     font-weight: 500;
     line-height: 1.2;
    margin-bottom: 3px;
}

#name_filter {
    float: left;
    width: 72%;
    padding: 9px 11px;
    margin: 0;
    border: 1px solid #ddd;
    background-color: #fff;
    border-right: none;
    color: #808080
}
#searchsubmit {
    background-color: #444;
    color: #ffffff;
    width: 28%;
    cursor: pointer;
    padding: 11px 6px;
    border-radius: 0;
    border: none;
    font-size: 14px;
}

.post-type-archive-gastro_event {
    background-color: #F7F7F7;
    color: #444;
}

.post-type-archive-gastro_event .elementor-location-header {
    /*background-color: #FFFFFF;*/
    /*background-color: rgba(0,0,0,0.5);*/
}
.elementor-sticky--effects {
    background-color: #7b7b7b!important;
}


/**
 * Archive page Head
 */
.rh_page__head {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-direction: normal;
    text-align: left;
    -webkit-box-orient: horizontal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 0 0 3rem;
}

.rh_page__head .rh_page__title {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-flex: 1;
    -webkit-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    margin: 0;
    padding: 0 0 1rem;
    align-self: flex-start;
}

@media (min-width: 768px)
{
    .rh_page__head .rh_page__title {
        padding-bottom: 0;
    }
}

.rh_page__title.search-gastro-type .sub {
    color: #be2801;
    font-weight: 500;
    font-size: 1rem;

    line-height: 1.2;
}

.rh_page__head .rh_page__title.search-gastro-type .title {
    display: inline-flex;
}
.rh_page__head .rh_page__title .title {
    color: #1a1a1a;
    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1.2;
}

.rh_page__listing.rh_page__listing_grid {
    width: 100%;
    display: inline-block;
}
.rh_prop_card--listing {
    float: left;
}
.rh_page__listing {
    display: block;
    width: 100%;
    margin: 0 auto;
    padding: 0;
}

.rh_page__listing_grid {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: start;
    -webkit-justify-content: flex-start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    width: initial;
    margin: 0 -15px;
}

.rh_page__head .rh_page__controls {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -webkit-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    text-align: right;
    padding: 0 0 1rem;

}

@media (min-width: 480px)
{
    .rh_page__head .rh_page__controls {
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -webkit-flex-direction: row;
        -ms-flex-direction: row;
        flex-direction: row;
        -webkit-box-pack: justify;
        -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
        justify-content: space-between;
        width: 100%;
    }
}

@media (min-width: 768px)
{
    .rh_page__head .rh_page__controls {
        -webkit-box-pack: end;
        -webkit-justify-content: flex-end;
        -ms-flex-pack: end;
        justify-content: flex-end;
        width: initial;
        padding-bottom: 0;
    }
}

#main.site-main.gastro-event .archive-content {
    width: 100%;
}

.rh_page__head {
    width: 100%;
}

.rh_page__listing{
    height: fit-content;
    height: -webkit-fill-available;
}


.rh_prop_card__wrap {
    border: solid #ccc 1px;
    -webkit-box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.05);
    box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.05);
}


.gastro-card-thumbnail{
    position: relative;
    margin: 0;
    line-height: 1.2rem;
}


.rh_prop_card__thumbnail .rh_figure_property_one {
    display: block;
}

.rh_prop_card .rh_prop_card__thumbnail a {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

.rh_prop_card .rh_prop_card__thumbnail img {
    width: 100%;
    height: 100%;
    -webkit-transition: 0.2s -webkit-transform linear;
    transition: 0.2s -webkit-transform linear;
    transition: 0.2s transform linear;
    transition: 0.2s transform linear, 0.2s -webkit-transform linear;
}

.gastro-image, .gastro-image > a,
.gastro-card-thumbnail,
.rh_prop_card__wrap {
    height: 100%;
}

.post.gastro-card img{
    aspect-ratio: 6 / 5;
}



.top-level .caption {
    padding: 1rem 0rem
}
.top-level .gastro-card-wrap {
    border:none
}


.gastro-details > a.meta,
.gastro-details > a.title {
    color: inherit;
    text-decoration: inherit;
    background-color: inherit;
    float: left;
}

.archive-content.gastro .rh_page__controls .rh_sort_controls button.filter-opener {
    display: none
}
@media (max-width: 782px) {
    .archive-content.gastro .rh_page__controls .rh_sort_controls {
        width: 100%;
        padding: 0 16px;
    }
    .archive-content.gastro .rh_page__controls .rh_sort_controls  .rh_prop_search__select{
        float: right;
    }
    .archive-content.gastro .rh_page__controls .rh_sort_controls button.filter-opener {
        background-color: #444;
        color: #ffffff;
        width: auto;
        height: auto;
        cursor: pointer;
        padding: 11px 12px;
        border-radius: 0;
        border: none;
        font-size: 14px;
        float: left;
        margin-top: 23px;
        display: inherit;
    }

    #gastro-feature-search > form.searchform {
        display: none;
    }

    #gastro-feature-search > form.searchform.extended {
        display: inherit;
    }
}